Bug 11728 - Fix ETIME handling for Solaris event ports
Fix ETIME handling for Solaris event ports
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Ralph Böhme
Samba QA Contact
:
Depends on: 11771
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-09 18:12 UTC by Tom Schulz
Modified: 2016-09-27 18:14 UTC (History)
1 user (show)

See Also:


Attachments
Patch that I think was applied to master. (1.72 KB, patch)
2016-02-09 18:27 UTC, Tom Schulz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Schulz 2016-02-09 18:12:31 UTC
See the postings on samba-technical with the subject:
[PATCH] Fix ETIME handling for Solaris event ports
Please back port this patch for all currently supported versions of Samba.
Comment 1 Tom Schulz 2016-02-09 18:27:13 UTC
Created attachment 11821 [details]
Patch that I think was applied to master.

This is the patch that I believe was applied to master.
Comment 2 Stefan Metzmacher 2016-02-09 18:28:45 UTC
We need to do a new tevent release and backport the complete release,
so that older samba versions also work with a system version of tevent...
Comment 3 Tom Schulz 2016-02-10 19:05:20 UTC
> We need to do a new tevent release and backport the complete release,
> so that older samba versions also work with a system version of tevent...

Am I correct in understanding that this patch is only applicable to the tevent in master and probably 4.4.0? Or does it go back farther than that? Or do I completely misunderstand?
Comment 4 Tom Schulz 2016-02-11 19:21:20 UTC
The patch applies cleanly to Samba versions 4.2.7, 4.3.4 and 4.4.0rc2.
Comment 5 Tom Schulz 2016-09-27 15:56:04 UTC
Should this bug be closed?
Comment 6 Björn Jacke 2016-09-27 18:14:45 UTC
indeed, we should, because this will not be backported to older samba versions. This is fixed in 4.5